[Solved > bypass] snort package problem on built on Tue Dec 7



  • Hi,
    I'm encountering a problem with snort package.

    Last snap (Dec 7) amd64 (It was the same with Oct 28 & Dec 5 so I don't think it's a snapshot problem)

    Installation of snort FAILED!
    
    Downloading snort and its dependencies... 
    Checking for package installation... 
    mysql-client-5.1.53  could not download.
    of mysql-client-5.1.53 failed!
    
    Installation aborted.Removing package...
    	Starting package deletion for pcre-8.10...done.
    	Starting package deletion for mysql-client-5.1.53...done.
    	Starting package deletion for snort-2.8.6.1...done.
    Removing snort components...
    	Menu items... done.
    	Services... done.
    Loading package instructions...
    	Include file snort.inc could not be found for inclusion.
    	Deinstall commands... 
    	Not executing custom deinstall hook because an include is missing.
    	Removing package instructions...done.
    	Auxiliary files... done.
    	Package XML... done.
    	Configuration... done.
    Failed to install package.
    
    Installation halted.
    

    It's a big problem because of "Removing package…"

    PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20060613/pcre.so' - Shared object "libpcre.so.0" not found, required by "pcre.so" in Unknown on line 0
    
    *** Welcome to pfSense 2.0-BETA4-pfSense (amd64) on hotspot ***
    
    Fatal error: Call to undefined function preg_match() in /etc/inc/interfaces.inc on line 3391
    
    

    Fortunately I have a clean install and I am able to copy missing files to my brocken pfsense.

    Thanks for having spending time to read my poor english…



  • It doesn't work for me on i386 (still on Dec4 though) either.. after an unsuccessful try to download mysql client it aborts..



  • Same problem here:

    PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20                                                                                            060613/pcre.so' - Shared object "libpcre.so.0" not found, required by "pcre.so"                                                                                            in Unknown on line 0

    nano 4g



  • @mxx:

    It doesn't work for me on i386 (still on Dec4 though) either.. after an unsuccessful try to download mysql client it aborts..

    Yes I think it's a mysql-client version problem. Installer is looking for 5.1.53 but it can't find it (probably 5.1.41 or 51 on the server)
    Manually install of mysql-client doesn't solve problem.

    Will wait :)



  • For me that does work (as Dienis Rastegaeff suggested in preinstalling mysql client: http://redmine.pfsense.org/issues/1080#change-4096 )



  • You can type this in your command line directly then initiate the package installation again from the web interface:

    pkg_add http://files.pfsense.org/packages/amd64/8/All/mysql-client-5.1.53.tbz

    This will automatically install mysql-client-5.1.53 and any of it s requirements.

    If it said that mysql-client-5.1.52 already installed then remove the mysql-client-5.1.52

    pkg_delete mysql-client-5.1.52

    and remove also what is using it then install the mysql-client-5.1.53

    then install the packages you just removed again, if it needs mysql-client-5.1.52 I think it will also function with mysql-client-5.1.53.

    I wish that would help.

    Thanks.



  • @sws:


    pkg_add http://files.pfsense.org/packages/amd64/8/All/mysql-client-5.1.53.tbz
    ...

    Very nice ! Thanks a lot  :D

    Installation completed.



  • You are welcome.



  • confirmed with x32 nano snap on 25/12. install of snort on alix breaks web config etc. only way i could recover was via shell installing mysql client & snort manually.



  • opps…. went to todays snap and....
    Warning: fopen(/usr/local/etc/snort/snort_19540_vr0/oinkmaster_19540_vr0.conf): failed to open stream: No such file or directory in /usr/local/www/snort/snort_download_rules.php on line 774 Warning: fwrite(): supplied argument is not a valid stream resource in /usr/local/www/snort/snort_download_rules.php on line 776 Warning: fclose(): supplied argument is not a valid stream resource in /usr/local/www/snort/snort_download_rules.php on line 779

    same again......
    a lot of mounting rw & manual install of snort. then an reinstall from the gui got snort going again.


Locked